package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

public class RenderClienteSimples implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		Cliente cliente = (Cliente) o;

		Listcell lc = new Listcell(cliente.getClienteId().toString());
		lc.setParent(lstm);

		lc = new Listcell(cliente.getNombcliente());
		lc.setParent(lstm);

		lc = new Listcell(cliente.getNumIdentificaUno() != null && !"null".equals(cliente.getNumIdentificaUno()) ? cliente.getNumIdentificaUno() : "");
		lc.setParent(lstm);
		
		lc = new Listcell(cliente.getNumIdentificaDos() != null && !"null".equals(cliente.getNumIdentificaDos()) ? cliente.getNumIdentificaDos() : "");
		lc.setParent(lstm);
		
		Button btn = new Button();
		lc = new Listcell();
		lc.setParent(lstm);

		btn.setWidth("16");
		btn.setHeight("16");
		btn.setImage("/gui/img/remove.png");

		btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox) event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem) event.getTarget().getParent().getParent();
				listBox.removeItem((Cliente) listItem.getAttribute("data"));
			}
		});
		lc.appendChild(btn);

		lstm.setAttribute("data", cliente);

	}
}
